package com.tuoheng.admin.service.third.airport;

import com.tuoheng.admin.dto.ReversalFlightDto;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class AirportServiceImpl implements AirportService {

    @Autowired
    private GetAirportListService getAirportListService;

    @Autowired
    private GetAirLineListService getAirLineListService;

    @Autowired
    private ExecuteTaskService executeTaskService;

    @Autowired
    private GetAirportDetailService getAirportDetailService;

    @Autowired
    private ReversalFlightService reversalFlightService;

    @Autowired
    private GetAirportVideoService getAirportVideoService;

    @Override
    public JsonResult getAirportList() {
        return getAirportListService.getAirportList();
    }

    @Override
    public JsonResult getAirLineList(Integer droneId) {
        return getAirLineListService.getAirLineList(droneId);
    }

    @Override
    public JsonResult executeTask(String userId, Inspection inspection) {
        return executeTaskService.executeTask(userId, inspection);
    }

    @Override
    public JsonResult getAirportDetail(Integer airportId) {
        return getAirportDetailService.getAirportDetail(airportId);
    }

    @Override
    public JsonResult reversalFlight(ReversalFlightDto dto) {
        return reversalFlightService.reversalFlight(dto);
    }

    @Override
    public JsonResult getAirportVideo(Integer droneId) {
        return getAirportVideoService.getAirportVideo(droneId);
    }
}
